Skip to main content
GET
/
libraries
/
{libraryId}
/
webhooks
/
endpoints
List Webhook Endpoints
curl --request GET \
  --url https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/webhooks/endpoints \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/webhooks/endpoints"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/webhooks/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/webhooks/endpoints"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
require 'uri'
require 'net/http'

url = URI("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/webhooks/endpoints")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
HttpResponse<String> response = Unirest.get("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/webhooks/endpoints")
.header("Authorization", "Bearer <token>")
.asString();
using RestSharp;


var options = new RestClientOptions("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/webhooks/endpoints");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/webhooks/endpoints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "data": [
    {
      "updated_at": "2025-10-15T13:06:54.816373+06:00",
      "created_at": "2025-10-15T13:06:54.816373+06:00",
      "library_id": "78542c6f-0dc1-4859-a122-35ad6f139827",
      "updated_by": null,
      "created_by": "2fa3fe27-ffcd-470b-becf-83f6f22a93ab",
      "headers": null,
      "name": "Video processing events",
      "url": "https://example.com/webhooks/vidinfra",
      "events": [
        "video.uploaded",
        "video.transcoded"
      ],
      "id": "8e5f8558-50dc-453f-9c36-4e4e9033b36a",
      "organization_id": "677826f5-1aea-4cba-8973-043cdbc60f35",
      "is_active": true
    }
  ],
  "meta": {
    "links": {
      "self": "/libraries/78542c6f-0dc1-4859-a122-35ad6f139827/webhooks/endpoints?limit=20&page=1",
      "first": "/libraries/78542c6f-0dc1-4859-a122-35ad6f139827/webhooks/endpoints?limit=20&page=1",
      "last": "/libraries/78542c6f-0dc1-4859-a122-35ad6f139827/webhooks/endpoints?limit=20&page=1"
    },
    "pagination": {
      "page": 1,
      "page_size": 20,
      "total": 1,
      "total_pages": 1
    }
  },
  "message": "Webhook Endpoints Fetched Successfully",
  "success": true
}
{
"message": "Invalid Request",
"success": false
}
{
"code": "auth_type_not_found",
"message": "Could not determine authentication type from request. Please provide a valid Authorization header or X-API-Key header.",
"success": false
}
{
"message": "Resource not found",
"success": false
}
{
"message": "Internal server error",
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

libraryId
string
required

Unique identifier of the library.

Query Parameters

page
string
limit
string
sort
string

Response

data
object[]
required
meta
object
required
message
string
required
success
boolean
required